/*= PROTOTYPES =================================================================*/

int ox8022_init (int ,int ,int ,int ,int);
int ox8022_setup (int ,int ,int ,char * );
int ox8022_cont_inst (int , int );
int ox8022_channel (int ,int ,int ,int);
int ox8022_channel_save (int , int );
int ox8022_acquire (int ,int ,int ,int ,int);
int ox8022_display (int ,int ,int ,int ,int );
int ox8022_timebase (int ,int ,int ,int );
int ox8022_trigger (int ,int ,int ,int );
int ox8022_wave_read (int ,int , int, int ,double [], char *);
int ox8022_measure (int ,int );
int ox8022_status (int ,int );
int ox8022_instrument_query (int, int );
int ox8022_close (void);

int ox8022_write_data(char *);
int ox8022_read_data(char * , int);

/*= GLOBALS ===============================================================*/
extern	double  ox8022_xscale;          /* Time interval between two samples       */
extern	double  ox8022_yscale;          /* Voltage interval between two quantums   */
extern	double  ox8022_yoffset;         /* Position of OV (GND)                    */
extern	int     ox8022_size;            /* Size of the wave read                   */
extern	int     ox8022_npoint;          /* Number of samples in the wave           */
extern	int     ox8022_err;             /* Error number                            */
extern	int     ox8022_port;            /* Number of serial port                   */
extern	int     ox8022_instrument;      /* N of instrument (8022 or 8027)         */
extern	int     ox8022_version;         /* Software Version of instrument          */
extern	int     ox8022_indice;          /* Software indice of version              */
extern	char    ox8022_state[60];       /* Response to instrument queries          */
extern	char    ox8022_mesure[20];      /* Response to automatic measurements      */
extern	char    ox8022_header[200];     /* Header of waveforms                     */

